1. customers
Google Workspace Reseller API
  • customers
    • /apps/reseller/v1/customers
      POST
    • /apps/reseller/v1/customers/{customerId}
      GET
    • /apps/reseller/v1/customers/{customerId}
      PATCH
    • /apps/reseller/v1/customers/{customerId}
      PUT
  • subscriptions
    • /apps/reseller/v1/customers/{customerId}/subscriptions
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      DELETE
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      GET
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend
      POST
    • /apps/reseller/v1/subscriptions
      GET
  • resellernotify
    • /apps/reseller/v1/resellernotify/getwatchdetails
      GET
    • /apps/reseller/v1/resellernotify/register
      POST
    • /apps/reseller/v1/resellernotify/unregister
      POST
  • Schemas
    • Schemas
      • Address
      • ChangePlanRequest
      • Customer
      • PrimaryAdmin
      • RenewalSettings
      • ResellernotifyGetwatchdetailsResponse
      • ResellernotifyResource
      • Seats
      • Subscription
      • Subscriptions
  1. customers

/apps/reseller/v1/customers/{customerId}

GET
/apps/reseller/v1/customers/{customerId}
Gets a customer account. Use this operation to see a customer account already in your reseller management, or to see the minimal account information for an existing customer that you do not manage. For more information about the API response for existing customers, see retrieving a customer account.

Request

Path Params

Responses

🟢200Successful response
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://reseller.googleapis.com//apps/reseller/v1/customers/'
Response Response Example
{
    "alternateEmail": "string",
    "customerDomain": "string",
    "customerDomainVerified": true,
    "customerId": "string",
    "customerType": "customerTypeUnspecified",
    "kind": "reseller#customer",
    "phoneNumber": "string",
    "postalAddress": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "contactName": "string",
        "countryCode": "string",
        "kind": "customers#address",
        "locality": "string",
        "organizationName": "string",
        "postalCode": "string",
        "region": "string"
    },
    "primaryAdmin": {
        "primaryEmail": "string"
    },
    "resourceUiUrl": "string"
}
Modified at 2022-09-11 23:42:40
Previous
/apps/reseller/v1/customers
Next
/apps/reseller/v1/customers/{customerId}
Built with